Skip to main content
POST
/
api
/
v0
/
computers
Create a computer
curl --request POST \
  --url https://api.factory.ai/api/v0/computers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "remoteUser": "<string>",
  "hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repos": [
    "<string>"
  ],
  "autoInstallDeps": true
}
'
import requests

url = "https://api.factory.ai/api/v0/computers"

payload = {
"name": "<string>",
"remoteUser": "<string>",
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repos": ["<string>"],
"autoInstallDeps": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
remoteUser: '<string>',
hostId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
repos: ['<string>'],
autoInstallDeps: true
})
};

fetch('https://api.factory.ai/api/v0/computers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": 123,
  "hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hostname": "<string>",
  "provisioningSteps": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "error": "<string>",
      "startedAt": 123,
      "completedAt": 123,
      "installSessionId": "<string>"
    }
  ],
  "relayClientUrl": "<string>",
  "relayAgentUrl": "<string>",
  "remoteUser": "<string>"
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Body

application/json
name
string
required
Required string length: 1 - 63
remoteUser
string
required
Required string length: 1 - 63
provider
enum<string>
Available options:
byom,
e2b
hostId
string<uuid>
repos
string<uri>[]
Maximum array length: 20
Maximum string length: 2048
autoInstallDeps
boolean

Response

Response for status 201

id
string
required
name
string
required
providerType
enum<string>
required
Available options:
byom,
e2b
createdAt
number
required
hostId
string<uuid>
hostname
string
status
enum<string>
Available options:
provisioning,
active,
error
provisioningSteps
object[]
relayClientUrl
string<uri>
relayAgentUrl
string<uri>
remoteUser
string